package Agenda;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "Agenda.idl"
 * <li> <b>IDL Name</b>      ::Agenda::Gerente
 * <li> <b>Repository Id</b> IDL:Agenda/Gerente:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Gerente {
  ...
};
 * </pre>
 */
public class GerentePOATie extends GerentePOA {
  private Agenda.GerenteOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public GerentePOATie (final Agenda.GerenteOperations _delegate) {
    this._delegate = _delegate;
  }

  public GerentePOATie (final Agenda.GerenteOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public Agenda.GerenteOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final Agenda.GerenteOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   void insere (in string c_nome, in string c_fone);
   * </pre>
   */
  public void insere (java.lang.String c_nome, 
                      java.lang.String c_fone) {
    this._delegate.insere(c_nome, c_fone);
  }

  /**
   * <pre>
   *   string consulta (in string c_nome, in string c_fone);
   * </pre>
   */
  public java.lang.String consulta (java.lang.String c_nome, 
                                    java.lang.String c_fone) {
    return this._delegate.consulta(c_nome, c_fone);
  }

}
