package Agenda;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "Agenda.idl"
 * <li> <b>IDL Name</b>      ::Agenda::Gerente
 * <li> <b>Repository Id</b> IDL:Agenda/Gerente:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Gerente {
  ...
};
 * </pre>
 */
public class _GerenteStub extends com.inprise.vbroker.CORBA.portable.ObjectImpl implements Gerente {
  final public static java.lang.Class _opsClass = Agenda.GerenteOperations.class;

  public java.lang.String[] _ids () {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:Agenda/Gerente:1.0"
  };

  /**
   * <pre>
   *   void insere (in string c_nome, in string c_fone);
   * </pre>
   */
  public void insere (java.lang.String c_nome, 
                      java.lang.String c_fone) {

    while (true) {
      if (!_is_local()) {
        org.omg.CORBA.portable.OutputStream _output = null;
        org.omg.CORBA.portable.InputStream  _input  = null;
        try {
          _output = this._request("insere", true);
          _output.write_string((java.lang.String)c_nome);
          _output.write_string((java.lang.String)c_fone);
          _input = this._invoke(_output);
        }
        catch (org.omg.CORBA.portable.ApplicationException _exception) {
          final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
          java.lang.String _exception_id = _exception.getId();
          throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
        }
        catch (org.omg.CORBA.portable.RemarshalException _exception) {
          continue;
        }
        finally {
          this._releaseReply(_input);
        }
      } else {
        final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("insere", _opsClass);
        if (_so == null) {
          continue;
        }
        final Agenda.GerenteOperations _self = (Agenda.GerenteOperations)_so.servant;
        try {
          _self.insere(c_nome, c_fone);
        }
        finally {
          _servant_postinvoke(_so);
        }
      }
      break;
    }
  }

  /**
   * <pre>
   *   string consulta (in string c_nome, in string c_fone);
   * </pre>
   */
  public java.lang.String consulta (java.lang.String c_nome, 
                                    java.lang.String c_fone) {

    while (true) {
      if (!_is_local()) {
        org.omg.CORBA.portable.OutputStream _output = null;
        org.omg.CORBA.portable.InputStream  _input  = null;
        java.lang.String _result;
        try {
          _output = this._request("consulta", true);
          _output.write_string((java.lang.String)c_nome);
          _output.write_string((java.lang.String)c_fone);
          _input = this._invoke(_output);
          _result = _input.read_string();
          return _result;
        }
        catch (org.omg.CORBA.portable.ApplicationException _exception) {
          final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
          java.lang.String _exception_id = _exception.getId();
          throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
        }
        catch (org.omg.CORBA.portable.RemarshalException _exception) {
          continue;
        }
        finally {
          this._releaseReply(_input);
        }
      } else {
        final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("consulta", _opsClass);
        if (_so == null) {
          continue;
        }
        final Agenda.GerenteOperations _self = (Agenda.GerenteOperations)_so.servant;
        try {
          return _self.consulta(c_nome, c_fone);
        }
        finally {
          _servant_postinvoke(_so);
        }
      }
    }
  }

}
